> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry the processing of a pending outgoing payment 



## OpenAPI

````yaml /openapi.json post /payments/retry
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /payments/retry:
    post:
      tags:
        - payments
      summary: 'Retry the processing of a pending outgoing payment '
      operationId: PaymentLifecycle.Web.PaymentController.retry
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetryPaymentParams'
      responses:
        '200':
          description: Ok
        '400':
          $ref: '#/components/responses/bad_request'
        '404':
          $ref: '#/components/responses/not_found'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
      callbacks: {}
components:
  schemas:
    RetryPaymentParams:
      example:
        correlation_id: 2315fca8-9aec-42ee-8bee-a9d10add170e
        id: 2315fca8-9aec-42ee-8bee-a9d10add170e
      properties:
        correlation_id:
          description: Correlation ID
          type: string
        id:
          description: Payment ID
          type: string
  responses:
    bad_request:
      description: Bad Request
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found
    unprocessable_entity:
      content:
        application/json:
          schema:
            type: object
      description: Unprocessable Entity

````